@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

body {
	font-family: 'Poppins', sans-serif;
}

.calculator {
	width: 350px;
	margin: 50px auto;
	padding: 32px;
	border: 1px solid #ccc;
	border-radius: 15px;
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

label {
	display: flex;
	justify-content: center;
	font-size: 18px;
	margin-bottom: 15px;
	margin-top: 15px;
}

input[type='range'] {
	width: 95%;
	margin-left: 8px;
}

input[type='text'] {
	width: 93%;
	padding: 5px;
	margin-top: 5px;
	margin-bottom: 5px;
	margin-left: 5px;
}

#result {
	margin-top: 20px;
	font-weight: bold;
}

.range-label {
	display: flex;
	justify-content: space-between;
	margin-top: 5px;
	padding-left: 10px;
	padding-right: 10px;
}

.graph {
	width: 358px;
	height: 20px;
	background-color: #f0f0f0;
	position: relative;
	border-radius: 5px;
}

.graph-value {
	position: absolute;
	top: -20px;
	left: 165px;
	font-size: 12px;
	transform: translateX(-50%);
}

.error-message {
	color: red;
	margin-top: 5px;
}

.follow-button {
	text-align: center;
	margin-top: 20px;
}

a {
	text-decoration: none;
	color: #fff;
	font-size: 15px;
}

button {
	padding: 10px;
	color: #fff;
	background-color: #000;
	border-radius: 5px;
	border: 1px solid grey;
}

.paying-members p {
	color: green;
	font-weight: bold;
	font-size: 24px;
}

.members-img {
	width: 30px;
	height: 30px;
	object-fit: contain;
}

.bg-1 {
	border: 1px solid black;
	width: 100%;
	background-color: #f0f0f0;
	border-style: none;
	border-radius: 4px;
	padding: 4px;
	margin-top: 15px;
}

.bg-2 {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: 8px;
	background-color: #f0f0f0;
	width: 100%;
	border-radius: 4px;
	margin-top: 10px;
	padding: 5px;
}
